Fetch Store

This will be the async request. This will submit the request to get a callback with store details along with its availability (store details updates).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers

NameValue
AuthorizationBearer <access_token>
Content-Typeapplication/json
x-api-keyYour unique API key for authentication

Request Body

Please refer to the Fetch Store HTTP request parameters guide for a detailed explanation of each parameter and its required format.

Sample CURL Request

curl --location 'https://api.uat.khumbu.com/uat/v1/providers/standardprovider/partners/simphony/markets/plkpl/stores/status/update' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <apikey>' \
--header 'Authorization: Bearer <accesstoken>' \
--data '{
    "providerName": "standardprovider",
    "partnerName": "simphony",
    "marketName": "plkpl",
    "storeInformation": {
        "providerStoreId": "99999",
        "partnerStoreId": "99999",
        "additionalProperties": {
            "REVENUE_CENTER_ID": "11",
            "ORDER_TYPE_ID": "2",
            "TENDER_MEDIA_ID": "901",
            "TIME_ZONE": "America/New_York"
        }
    }
}'

Error Responses

In the event of an error, the response will contain an error code and message detailing the cause of the failure. Please refer to the Error Reference Guide for comprehensive information on all error codes.

📘

Implementation Guide

This guide helps developers implement the Fetch Store functionality in their applications. Ensure placeholder values are replaced with actual parameters as needed.

Path Params
string
required
string
required
string
required
Body Params
string
required
string
required
storeDetails
object
Headers
string
required
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json